#include <PSX/Auxiliary/lz4_decompressor.hpp>

namespace JabyEngine {
    void LZ4Decompressor :: setup(uint8_t* dst_adr) {
        this->dst_adr = dst_adr;
        LZ4Decompressor::reset();
    }

    void LZ4Decompressor :: reset() {

    }

    LZ4Decompressor::Result LZ4Decompressor :: process(const uint8_t* data, size_t size) {
        for(size_t n = 0; n < size; n++) {
            this->dst_adr[n] = data[n];
        }
        return Result::new_error();
    }
}